#!/bin/sh

MOZ_SDK=../../../common/import/gecko-sdk

echo 'Generating header(s) ...'
$MOZ_SDK/xpcom/bin/i686-pc-linux-gnu/xpidl -m header -I$MOZ_SDK/xpcom/idl nsIHXPlayer.idl
echo 'Generating typelib(s) ...'
$MOZ_SDK/xpcom/bin/i686-pc-linux-gnu/xpidl -m typelib -I$MOZ_SDK/xpcom/idl nsIHXPlayer.idl
echo 'Linking ...'
$MOZ_SDK/xpcom/bin/i686-pc-linux-gnu/xpt_link nphelix.xpt nsIHXPlayer.xpt 
echo done
